<?php

// web routes  for campaign
Route::prefix('{guard}/campaign')->group(function () {
    Route::resource('campaign', 'CampaignResourceController');
});

// Public routes for campaign
Route::get('campaigns/', 'CampaignPublicController@index');
Route::get('campaigns/{slug?}', 'CampaignPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'CampaignResourceController');
            });
            // Public routes for pages
            Route::get('campaigns/', 'CampaignPublicController@index');
            Route::get('campaigns/{slug?}', 'CampaignPublicController@show');
        }
    );
}

