<?php

namespace Buyesrfolio\Campaign\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CampaignTransformer extends TransformerAbstract
{
    public function transform(\Buyesrfolio\Campaign\Models\Campaign $campaign)
    {
        return [
            'id'                => $campaign->getRouteKey(),
            'key'               => [
                'public'    => $campaign->getPublicKey(),
                'route'     => $campaign->getRouteKey(),
            ], 
            'campaign_type'     => $campaign->campaign_type,
            'sourse'            => $campaign->sourse,
            'title'             => $campaign->title,
            'goals'             => $campaign->goals,
            'file'              => $campaign->file,
            'category'          => $campaign->category,
            'parser_id'         => $campaign->parser_id,
            'complete_percentage' => $campaign->complete_percentage,
            'goals_count'       => $campaign->goals_count,
            'lead_count'        => $campaign->lead_count,
            'price'             => $campaign->price,
            'deleted_at'        => $campaign->deleted_at,
            'url'               => [
                'public'    => trans_url('campaign/'.$campaign->getPublicKey()),
                'user'      => guard_url('campaign/campaign/'.$campaign->getRouteKey()),
            ], 
            'status'            => trans('app.'.$campaign->status),
            'created_at'        => format_date($campaign->created_at),
            'updated_at'        => format_date($campaign->updated_at),
        ];
    }
}